/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextFactory
 * @model kind="package"
 * @generated
 */
public interface StlTextPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "stlText";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.eclipse.org/papyrus/robotics/STLText";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "stlText";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  StlTextPackage eINSTANCE = org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl.init();

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentsImpl <em>assignments</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentsImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getassignments()
   * @generated
   */
  int ASSIGNMENTS = 0;

  /**
   * The feature id for the '<em><b>Assignments</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ASSIGNMENTS__ASSIGNMENTS = 0;

  /**
   * The number of structural features of the '<em>assignments</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ASSIGNMENTS_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentImpl <em>assignment</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getassignment()
   * @generated
   */
  int ASSIGNMENT = 1;

  /**
   * The feature id for the '<em><b>Id</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ASSIGNMENT__ID = 0;

  /**
   * The feature id for the '<em><b>Expr</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ASSIGNMENT__EXPR = 1;

  /**
   * The number of structural features of the '<em>assignment</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ASSIGNMENT_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expressionImpl <em>expression</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expressionImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getexpression()
   * @generated
   */
  int EXPRESSION = 2;

  /**
   * The feature id for the '<em><b>First</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION__FIRST = 0;

  /**
   * The feature id for the '<em><b>Ec</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION__EC = 1;

  /**
   * The number of structural features of the '<em>expression</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_startImpl <em>expression start</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_startImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getexpression_start()
   * @generated
   */
  int EXPRESSION_START = 3;

  /**
   * The feature id for the '<em><b>R</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_START__R = 0;

  /**
   * The feature id for the '<em><b>E1</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_START__E1 = 1;

  /**
   * The feature id for the '<em><b>E2</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_START__E2 = 2;

  /**
   * The number of structural features of the '<em>expression start</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_START_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_contImpl <em>expression cont</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_contImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getexpression_cont()
   * @generated
   */
  int EXPRESSION_CONT = 4;

  /**
   * The feature id for the '<em><b>I</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_CONT__I = 0;

  /**
   * The feature id for the '<em><b>E</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_CONT__E = 1;

  /**
   * The number of structural features of the '<em>expression cont</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPRESSION_CONT_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expressionImpl <em>real expression</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expressionImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getreal_expression()
   * @generated
   */
  int REAL_EXPRESSION = 5;

  /**
   * The feature id for the '<em><b>Id</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION__ID = 0;

  /**
   * The feature id for the '<em><b>Lit</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION__LIT = 1;

  /**
   * The feature id for the '<em><b>Exp</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION__EXP = 2;

  /**
   * The feature id for the '<em><b>Exp1</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION__EXP1 = 3;

  /**
   * The feature id for the '<em><b>Exp2</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION__EXP2 = 4;

  /**
   * The number of structural features of the '<em>real expression</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION_FEATURE_COUNT = 5;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expression_nlImpl <em>real expression nl</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expression_nlImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getreal_expression_nl()
   * @generated
   */
  int REAL_EXPRESSION_NL = 6;

  /**
   * The feature id for the '<em><b>Exp</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION_NL__EXP = 0;

  /**
   * The number of structural features of the '<em>real expression nl</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REAL_EXPRESSION_NL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalTimeImpl <em>interval Time</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalTimeImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getintervalTime()
   * @generated
   */
  int INTERVAL_TIME = 9;

  /**
   * The number of structural features of the '<em>interval Time</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int INTERVAL_TIME_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.num_literalImpl <em>num literal</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.num_literalImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getnum_literal()
   * @generated
   */
  int NUM_LITERAL = 7;

  /**
   * The feature id for the '<em><b>Ilit</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NUM_LITERAL__ILIT = INTERVAL_TIME_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Rlit</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NUM_LITERAL__RLIT = INTERVAL_TIME_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Lit</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NUM_LITERAL__LIT = INTERVAL_TIME_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>num literal</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NUM_LITERAL_FEATURE_COUNT = INTERVAL_TIME_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalImpl <em>interval</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalImpl
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getinterval()
   * @generated
   */
  int INTERVAL = 8;

  /**
   * The feature id for the '<em><b>Time1</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int INTERVAL__TIME1 = 0;

  /**
   * The feature id for the '<em><b>Time2</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int INTERVAL__TIME2 = 1;

  /**
   * The number of structural features of the '<em>interval</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int INTERVAL_FEATURE_COUNT = 2;


  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignments <em>assignments</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>assignments</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignments
   * @generated
   */
  EClass getassignments();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignments#getAssignments <em>Assignments</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Assignments</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignments#getAssignments()
   * @see #getassignments()
   * @generated
   */
  EReference getassignments_Assignments();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment <em>assignment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>assignment</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment
   * @generated
   */
  EClass getassignment();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment#getId <em>Id</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Id</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment#getId()
   * @see #getassignment()
   * @generated
   */
  EAttribute getassignment_Id();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment#getExpr <em>Expr</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Expr</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.assignment#getExpr()
   * @see #getassignment()
   * @generated
   */
  EReference getassignment_Expr();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression <em>expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>expression</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression
   * @generated
   */
  EClass getexpression();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getFirst <em>First</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>First</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getFirst()
   * @see #getexpression()
   * @generated
   */
  EReference getexpression_First();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getEc <em>Ec</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Ec</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getEc()
   * @see #getexpression()
   * @generated
   */
  EReference getexpression_Ec();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start <em>expression start</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>expression start</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start
   * @generated
   */
  EClass getexpression_start();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getR <em>R</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>R</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getR()
   * @see #getexpression_start()
   * @generated
   */
  EReference getexpression_start_R();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE1 <em>E1</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>E1</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE1()
   * @see #getexpression_start()
   * @generated
   */
  EReference getexpression_start_E1();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE2 <em>E2</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>E2</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_start#getE2()
   * @see #getexpression_start()
   * @generated
   */
  EReference getexpression_start_E2();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont <em>expression cont</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>expression cont</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont
   * @generated
   */
  EClass getexpression_cont();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getI <em>I</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>I</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getI()
   * @see #getexpression_cont()
   * @generated
   */
  EReference getexpression_cont_I();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getE <em>E</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>E</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression_cont#getE()
   * @see #getexpression_cont()
   * @generated
   */
  EReference getexpression_cont_E();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression <em>real expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>real expression</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression
   * @generated
   */
  EClass getreal_expression();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getId <em>Id</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Id</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getId()
   * @see #getreal_expression()
   * @generated
   */
  EAttribute getreal_expression_Id();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getLit <em>Lit</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Lit</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getLit()
   * @see #getreal_expression()
   * @generated
   */
  EReference getreal_expression_Lit();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getExp <em>Exp</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Exp</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getExp()
   * @see #getreal_expression()
   * @generated
   */
  EReference getreal_expression_Exp();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getExp1 <em>Exp1</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Exp1</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getExp1()
   * @see #getreal_expression()
   * @generated
   */
  EReference getreal_expression_Exp1();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getExp2 <em>Exp2</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Exp2</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression#getExp2()
   * @see #getreal_expression()
   * @generated
   */
  EReference getreal_expression_Exp2();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression_nl <em>real expression nl</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>real expression nl</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression_nl
   * @generated
   */
  EClass getreal_expression_nl();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression_nl#getExp <em>Exp</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Exp</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression_nl#getExp()
   * @see #getreal_expression_nl()
   * @generated
   */
  EReference getreal_expression_nl_Exp();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal <em>num literal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>num literal</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal
   * @generated
   */
  EClass getnum_literal();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getIlit <em>Ilit</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Ilit</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getIlit()
   * @see #getnum_literal()
   * @generated
   */
  EAttribute getnum_literal_Ilit();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getRlit <em>Rlit</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Rlit</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getRlit()
   * @see #getnum_literal()
   * @generated
   */
  EAttribute getnum_literal_Rlit();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getLit <em>Lit</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Lit</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getLit()
   * @see #getnum_literal()
   * @generated
   */
  EReference getnum_literal_Lit();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval <em>interval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>interval</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval
   * @generated
   */
  EClass getinterval();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime1 <em>Time1</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Time1</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime1()
   * @see #getinterval()
   * @generated
   */
  EReference getinterval_Time1();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime2 <em>Time2</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Time2</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime2()
   * @see #getinterval()
   * @generated
   */
  EReference getinterval_Time2();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.intervalTime <em>interval Time</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>interval Time</em>'.
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.intervalTime
   * @generated
   */
  EClass getintervalTime();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  StlTextFactory getStlTextFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentsImpl <em>assignments</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentsImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getassignments()
     * @generated
     */
    EClass ASSIGNMENTS = eINSTANCE.getassignments();

    /**
     * The meta object literal for the '<em><b>Assignments</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ASSIGNMENTS__ASSIGNMENTS = eINSTANCE.getassignments_Assignments();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentImpl <em>assignment</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.assignmentImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getassignment()
     * @generated
     */
    EClass ASSIGNMENT = eINSTANCE.getassignment();

    /**
     * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ASSIGNMENT__ID = eINSTANCE.getassignment_Id();

    /**
     * The meta object literal for the '<em><b>Expr</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ASSIGNMENT__EXPR = eINSTANCE.getassignment_Expr();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expressionImpl <em>expression</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expressionImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getexpression()
     * @generated
     */
    EClass EXPRESSION = eINSTANCE.getexpression();

    /**
     * The meta object literal for the '<em><b>First</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION__FIRST = eINSTANCE.getexpression_First();

    /**
     * The meta object literal for the '<em><b>Ec</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION__EC = eINSTANCE.getexpression_Ec();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_startImpl <em>expression start</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_startImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getexpression_start()
     * @generated
     */
    EClass EXPRESSION_START = eINSTANCE.getexpression_start();

    /**
     * The meta object literal for the '<em><b>R</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION_START__R = eINSTANCE.getexpression_start_R();

    /**
     * The meta object literal for the '<em><b>E1</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION_START__E1 = eINSTANCE.getexpression_start_E1();

    /**
     * The meta object literal for the '<em><b>E2</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION_START__E2 = eINSTANCE.getexpression_start_E2();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_contImpl <em>expression cont</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.expression_contImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getexpression_cont()
     * @generated
     */
    EClass EXPRESSION_CONT = eINSTANCE.getexpression_cont();

    /**
     * The meta object literal for the '<em><b>I</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION_CONT__I = eINSTANCE.getexpression_cont_I();

    /**
     * The meta object literal for the '<em><b>E</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference EXPRESSION_CONT__E = eINSTANCE.getexpression_cont_E();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expressionImpl <em>real expression</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expressionImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getreal_expression()
     * @generated
     */
    EClass REAL_EXPRESSION = eINSTANCE.getreal_expression();

    /**
     * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute REAL_EXPRESSION__ID = eINSTANCE.getreal_expression_Id();

    /**
     * The meta object literal for the '<em><b>Lit</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REAL_EXPRESSION__LIT = eINSTANCE.getreal_expression_Lit();

    /**
     * The meta object literal for the '<em><b>Exp</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REAL_EXPRESSION__EXP = eINSTANCE.getreal_expression_Exp();

    /**
     * The meta object literal for the '<em><b>Exp1</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REAL_EXPRESSION__EXP1 = eINSTANCE.getreal_expression_Exp1();

    /**
     * The meta object literal for the '<em><b>Exp2</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REAL_EXPRESSION__EXP2 = eINSTANCE.getreal_expression_Exp2();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expression_nlImpl <em>real expression nl</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.real_expression_nlImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getreal_expression_nl()
     * @generated
     */
    EClass REAL_EXPRESSION_NL = eINSTANCE.getreal_expression_nl();

    /**
     * The meta object literal for the '<em><b>Exp</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference REAL_EXPRESSION_NL__EXP = eINSTANCE.getreal_expression_nl_Exp();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.num_literalImpl <em>num literal</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.num_literalImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getnum_literal()
     * @generated
     */
    EClass NUM_LITERAL = eINSTANCE.getnum_literal();

    /**
     * The meta object literal for the '<em><b>Ilit</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute NUM_LITERAL__ILIT = eINSTANCE.getnum_literal_Ilit();

    /**
     * The meta object literal for the '<em><b>Rlit</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute NUM_LITERAL__RLIT = eINSTANCE.getnum_literal_Rlit();

    /**
     * The meta object literal for the '<em><b>Lit</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference NUM_LITERAL__LIT = eINSTANCE.getnum_literal_Lit();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalImpl <em>interval</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getinterval()
     * @generated
     */
    EClass INTERVAL = eINSTANCE.getinterval();

    /**
     * The meta object literal for the '<em><b>Time1</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference INTERVAL__TIME1 = eINSTANCE.getinterval_Time1();

    /**
     * The meta object literal for the '<em><b>Time2</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference INTERVAL__TIME2 = eINSTANCE.getinterval_Time2();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalTimeImpl <em>interval Time</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.intervalTimeImpl
     * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextPackageImpl#getintervalTime()
     * @generated
     */
    EClass INTERVAL_TIME = eINSTANCE.getintervalTime();

  }

} //StlTextPackage
